Bug 165734 - article comments in digg displayed wrong
Summary: article comments in digg displayed wrong
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-04 17:18 UTC by dresnu
Modified: 2008-10-03 04:29 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dresnu 2008-07-04 17:18:34 UTC
Version:           3.5.9 (using KDE 3.5.9)
Installed from:    Ubuntu Packages
OS:                Linux

For some time now article comments in digg are displayed very badly. I don't know what happened lately as I didn't have this problem previously. The layers of the text get over each other and everything ends up unreadable.

It's better if you see this picture to understand: http://img374.imageshack.us/my.php?image=61482493jv5.png

I think it's a css interpretation related problem.

Thank you anyway.
Comment 1 dresnu 2008-07-07 11:04:48 UTC
Original poster here. The problem seems to be javascript. When it is disabled I can load digg pages without any problem, but then enabling javascript and the debugger gives a whole lot of errors and eventually crashes the page.

In particular the line:
dapMgr.enableACB("top_ad_msft", false);

in a script type seems to be the first error in the page.
Comment 2 Germain Garand 2008-10-03 04:29:55 UTC
SVN commit 867194 by ggarand:

do not skip empty CSS rules - they must appear in the cssRules array.

digg.com, for instance, needs this to perform some unspeakable CSS hacks.

BUG: 170411, 165734


 M  +1 -1      parser.cpp  
 M  +1 -1      parser.y  


--- trunk/KDE/kdelibs/khtml/css/parser.cpp #867193:867194
@@ -2427,7 +2427,7 @@
        kDebug( 6080 ) << "got ruleset" << endl << "  selector:";
 #endif
        CSSParser *p = static_cast<CSSParser *>(parser);
-       if ( (yyvsp[(1) - (2)].selectorList) && (yyvsp[(2) - (2)].ok) && p->numParsedProperties ) {
+       if ( (yyvsp[(1) - (2)].selectorList)  ) {
            CSSStyleRuleImpl *rule = new CSSStyleRuleImpl( p->styleElement );
            CSSStyleDeclarationImpl *decl = p->createStyleDeclaration( rule );
            rule->setSelector( (yyvsp[(1) - (2)].selectorList) );
--- trunk/KDE/kdelibs/khtml/css/parser.y #867193:867194
@@ -648,7 +648,7 @@
        kDebug( 6080 ) << "got ruleset" << endl << "  selector:";
 #endif
        CSSParser *p = static_cast<CSSParser *>(parser);
-       if ( $1 && $2 && p->numParsedProperties ) {
+       if ( $1  ) {
            CSSStyleRuleImpl *rule = new CSSStyleRuleImpl( p->styleElement );
            CSSStyleDeclarationImpl *decl = p->createStyleDeclaration( rule );
            rule->setSelector( $1 );